Package com.collibra.dgc.core.api.dto.usergroup

# Class FindUserGroupsForUserRequest

Object
PagedRequest
FindUserGroupsForUserRequest

All Implemented Interfaces:
  `Serializable`

@Deprecated public class FindUserGroupsForUserRequest extends PagedRequest
Deprecated.
Please use `FindUserGroupsRequest` instead
The search criteria for user groups linked to a given user.

Only parameters that are specified in this request and have not `null` values are used for filtering. All other parameters are ignored.

The returned user groups are groups to which the given user belongs to.

By default a result containing 1000 user groups is returned.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `FindUserGroupsForUserRequest.Builder`
  Deprecated.

- ## Field Summary

  ### Fields inherited from class PagedRequest

  `countLimit, limit, offset`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindUserGroupsForUserRequest()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FindUserGroupsForUserRequest.Builder`
  `builder()`
  Deprecated.
  `protected boolean`
  `canEqual(Object other)`
  Deprecated.
  `boolean`
  `equals(Object o)`
  Deprecated.
  `UUID`
  `getUserId()`
  Deprecated.
  The name of the user group.
  `int`
  `hashCode()`
  Deprecated.
  `void`
  `setUserId(UUID userId)`
  Deprecated.
  The name of the user group.
  `String`
  `toString()`
  Deprecated.

  ### Methods inherited from class PagedRequest

  `getCountLimit, getLimit, getOffset, isPagingActive, setCountLimit, setLimit, setOffset`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FindUserGroupsForUserRequest

    public FindUserGroupsForUserRequest()
    Deprecated.

- ## Method Details

  - ### builder

    public static FindUserGroupsForUserRequest.Builder builder()
    Deprecated.

  - ### getUserId

    public UUID getUserId()
    Deprecated.
    The name of the user group.

  - ### setUserId

    public void setUserId(UUID userId)
    Deprecated.
    The name of the user group.

  - ### equals

    public boolean equals(Object o)
    Deprecated.
    Overrides:
      `equals` in class `PagedRequest`

  - ### canEqual

    protected boolean canEqual(Object other)
    Deprecated.
    Overrides:
      `canEqual` in class `PagedRequest`

  - ### hashCode

    public int hashCode()
    Deprecated.
    Overrides:
      `hashCode` in class `PagedRequest`

  - ### toString

    public String toString()
    Deprecated.
    Overrides:
      `toString` in class `PagedRequest`